segfault on exit after using GRASS layer

2011-05-31 10:10 AM - Sandro Santilli

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13917

Description

Sorry for the weird Summary, but this is how I reproduce:

1. start qgis

 1. add grass vector layer

 1. edit grass vector layer

 1. close the grass vector layer editing window (w/out touching anything else)

 1. close the main qgis window, w/out saving

Here's a backtrace:

Program received signal SIGSEGV, Segmentation fault.

0x0000000000000001 in ?? ()

(gdb) bt

#0  0x0000000000000001 in ?? ()

#3905  0x00007ffff5fbd451 in QObject::disconnect(QObject const*, char const*, QObject const*, char const*) () from

/usr/lib/libQtCore.so.4

#3906  0x000000000063e9ff in QObject::disconnect(QObject const*, char const*) ()

#3907  0x00007fffe1b0aef7 in [[QgsGrassEdit]]::closeEdit() ()

   from /usr/local/lib/qgis/plugins/libgrassplugin.so

#3908  0x00007fffe1aeaf95 in [[QgsGrassPlugin]]::~QgsGrassPlugin() ()

   from /usr/local/lib/qgis/plugins/libgrassplugin.so

#3909  0x00007ffff5fb5a5c in QObjectPrivate::deleteChildren() ()

   from /usr/lib/libQtCore.so.4

#3910  0x00007ffff53bd2d5 in QWidget::~QWidget() () from /usr/lib/libQtGui.so.4

#3911  0x000000000053ab6a in [[QgisApp]]::~QgisApp() ()

#3912  0x0000000000533d6f in main ()

Sounds like a missing handling of the grass editor window close button.

Note this is from the 1.7.0 branch, commit 2516c38 (there's no 1.7.0 version in trac)

Associated revisions

Revision edad445f - 2011-06-01 10:28 PM - Jürgen Fischer

fix #3859
Revision 445ef93b - 2011-06-01 10:32 PM - Jürgen Fischer

fix #3859

History

#1 - 2011-06-01 01:30 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:edad445fbbc663549d31c55413c2470691c37944
